# Update from 7.10 to 7.11

## Notice

__GitLab CI 7.11 requires GitLab 7.11 or higher and GitLab Multi Runner 0.3.0 and higher

### 1. Stop CI server

    sudo service gitlab_ci stop

### 2. Switch to your gitlab_ci user

```
sudo su gitlab_ci
cd /home/gitlab_ci/gitlab-ci
```

### 3. Get latest code

```
git fetch
git checkout 7-11-stable
```

### 4. Install libs, migrations etc


```
# Install nodejs dependency:
sudo apt-get install nodejs

# For MySQL users
bundle install --without postgres development test --deployment

# For Postgres users
bundle install --without mysql development test --deployment

# Run migrations
bundle exec rake db:migrate RAILS_ENV=production
```


### 5. Start web application

    sudo service gitlab_ci start
